Bug 981076 - fedup-cli leaves ISO file mounted even if it isn't an install DVD image
fedup-cli leaves ISO file mounted even if it isn't an install DVD image
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 20:07 EDT by Murilo Opsfelder Araujo
Modified: 2013-12-22 00:34 EST (History)
3 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:22:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murilo Opsfelder Araujo 2013-07-03 20:07:37 EDT
Description of problem:
I wrongly downloaded Fedora-Live-KDE-x86_64-19-1.iso to upgrade my Fedora 18 to 19 and got the following error when run fedup-cli command:

$ sudo fedup-cli -v --debuglog $HOME/fedupcli.log --iso /home/murilo/Downloads/Fedora-Live-KDE-x86_64-19-1.iso 
fedup INFO: /bin/fedup-cli starting at Wed Jul  3 20:47:39 2013
setting up repos...
fedup.yum INFO: FedupDownloader(version=None, cachedir=/var/tmp/fedora-upgrade)
fedup.yum INFO: checking repos
fedup.yum INFO: can't find valid repo metadata for fedupiso
Error: can't get boot images.
The 'fedupiso' repo was rejected by yum as invalid.
The given ISO probably isn't an install DVD image.
fedup INFO: /bin/fedup-cli exiting at Wed Jul  3 20:47:39 2013

Then I realized the ISO image was left mounted on the system:

$ mount
/home/murilo/Downloads/Fedora-Live-KDE-x86_64-19-1.iso on /tmp/fedup.mnt.dsfp0D type iso9660 (ro,relatime)

Version-Release number of selected component (if applicable):
fedup-0.7.3-4.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
1. Issue the fedup-cli command with an ordinary ISO image but an install Fedora DVD image. For example:

$ sudo fedup-cli -v --debuglog $HOME/fedupcli.log --iso /home/murilo/Downloads/Fedora-Live-KDE-x86_64-19-1.iso

Actual results:
An error message is shown and the ISO image is left mounted.

Expected results:
ISO image should be umounted before fedup-cli terminates and mount point should be removed from the system.

Additional info:
Comment 1 Murilo Opsfelder Araujo 2013-07-04 15:44:07 EDT
Will,

I created a pull request at https://github.com/wgwoods/fedup/issues/7

With the above patch, ISO image is umounted and system is clean after fedup-cli exits.
Comment 2 Will Woods 2013-10-09 16:34:40 EDT
Thanks for the patch - it's been merged and will be in the next fedup release.

See https://github.com/wgwoods/fedup/commit/aef17dda
Comment 3 Fedora Update System 2013-12-11 17:12:16 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 4 Fedora Update System 2013-12-11 17:20:31 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 5 Fedora Update System 2013-12-11 17:22:20 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 6 Fedora Update System 2013-12-13 00:09:44 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-19 02:22:12 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-19 20:44:34 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-22 00:34:44 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.